pamtest_conv_data(3)

NAME
pamtest_conv_data - This structure should be used when using run_pamtest, which uses an internal conversation function.

SYNOPSIS

#include <include/libpamtest.h>

  Data Fields
const char ** in_echo_off
When the conversation function receives PAM_PROMPT_ECHO_OFF, it reads the auth token from the in_echo_off array and keeps an index internally.
const char ** in_echo_on
When the conversation function receives PAM_PROMPT_ECHO_ON, it reads the input from the in_echo_off array and keeps an index internally.
char ** out_err
Captures messages through PAM_ERROR_MSG.
char ** out_info
Captures messages through PAM_TEXT_INFO.

Detailed Description

This structure should be used when using run_pamtest, which uses an internal conversation function.

Field Documentation

  char** pamtest_conv_data::out_err

Captures messages through PAM_ERROR_MSG. The test caller is responsible for allocating enough space in the array.

  char** pamtest_conv_data::out_info

Captures messages through PAM_TEXT_INFO. The test caller is responsible for allocating enough space in the array.

Author

Generated automatically by Doxygen for pam_wrapper from the source code.